OpenNMS API 1.2.9

## org.opennms.netmgt.notifd.mock
Class NotificationAnticipator

    java.lang.Object
      org.opennms.netmgt.notifd.mock.NotificationAnticipator

public class NotificationAnticipator
extends java.lang.Object

Author:
  brozow TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary
`(package private) java.util.List` `m_anticipated`
`(package private) java.util.List` `m_earlyArrival`
`(package private) long` `m_expectedDiff`
`(package private) java.util.List` `m_lateBloomers`
`(package private) java.util.List` `m_unanticipated`

Constructor Summary
`NotificationAnticipator()`

Method Summary
`void` `anticipateNotification(MockNotification mn)`
`java.util.Collection` `getAnticipatedNotifications()`
`long` `getExpectedDifference()`
`java.util.Collection` `getUnanticipated()`
`private static java.lang.String` `listNotifications(java.lang.String prefix, java.util.Collection notifications)`
`void` `notificationReceived(MockNotification mn)`
`void` `reset()`
`void` `setExpectedDifference(long expectedDiff)`
`void` `verifyAnticipated(long lastNotifyTime, long waitTime, long sleepTime)`
`java.util.Collection` `waitForAnticipated(long millis)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_anticipated

    java.util.List m_anticipated

### m_unanticipated

    java.util.List m_unanticipated

### m_earlyArrival

    java.util.List m_earlyArrival

### m_lateBloomers

    java.util.List m_lateBloomers

### m_expectedDiff

    long m_expectedDiff

Constructor Detail

### NotificationAnticipator

    public NotificationAnticipator()

Method Detail

### setExpectedDifference

    public void setExpectedDifference(long expectedDiff)

  Parameters:
    `expectedDiff` -

### getExpectedDifference

    public long getExpectedDifference()

  Returns:

### anticipateNotification

    public void anticipateNotification(MockNotification mn)

### notificationReceived

    public void notificationReceived(MockNotification mn)

### getAnticipatedNotifications

    public java.util.Collection getAnticipatedNotifications()

### reset

    public void reset()

### getUnanticipated

    public java.util.Collection getUnanticipated()

  Returns:

### waitForAnticipated

    public java.util.Collection waitForAnticipated(long millis)

  Returns:

### verifyAnticipated

    public void verifyAnticipated(long lastNotifyTime,
                                  long waitTime,
                                  long sleepTime)

### listNotifications

    private static java.lang.String listNotifications(java.lang.String prefix,
                                                      java.util.Collection notifications)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.